Package org.apache.sling.validation

# Class SlingValidationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.validation.SlingValidationException

All Implemented Interfaces:
  `Serializable`

@ConsumerType public class SlingValidationException extends RuntimeException
Exception that is thrown for Validator inconsistencies, e.g. if a mandatory parameter for a validator is missing.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SlingValidationException(String message)`
`SlingValidationException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SlingValidationException

public SlingValidationException(String message)

### SlingValidationException

public SlingValidationException(String message, Throwable cause)